vp9: assert -> av_assert and fix associated compile error.